unit uObrasViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorObras, uEditorObra, uEditorListaObras,
  uEditorFechaCierreObra, uEditorEjecucionObra;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorObra, 'EditorObra');
  EditorRegistry.RegisterClass(TfEditorObras, 'EditorObras');
  EditorRegistry.RegisterClass(TfEditorListaObras, 'EditorListaObras');
  EditorRegistry.RegisterClass(TfEditorFechaCierreObra, 'EditorFechaCierreObra');
  EditorRegistry.RegisterClass(TfEditorEjecucionObra, 'EditorEjecucionObra');  
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorObra);
  EditorRegistry.UnRegisterClass(TfEditorObras);
  EditorRegistry.UnRegisterClass(TfEditorListaObras);
  EditorRegistry.UnRegisterClass(TfEditorFechaCierreObra);
  EditorRegistry.UnRegisterClass(TfEditorEjecucionObra);
end;

end.
